package com.qmth.themis.business.cache;

import java.util.Date;

import com.qmth.themis.business.constant.SpringContextHolder;
import com.qmth.themis.business.enums.ExamRecordStatusEnum;
import com.qmth.themis.business.util.RedisUtil;

/**
 * 考试记录缓存hash值操作
 * 
 * @Description:
 * @Author: xiatian
 * @Date: 2020-07-29
 */
public class ExamRecordCacheUtil {
	private static RedisUtil redisUtil = SpringContextHolder.getBean(RedisUtil.class);

	public static Long getId(Long recordId) {
		return (Long) redisUtil.get(RedisKeyHelper.examRecordCacheKey(recordId), "id");
	}

	public static Long getExamStudentId(Long recordId) {
		return (Long) redisUtil.get(RedisKeyHelper.examRecordCacheKey(recordId), "examStudentId");
	}

	public static Long getPaperId(Long recordId) {
		return (Long) redisUtil.get(RedisKeyHelper.examRecordCacheKey(recordId), "paperId");
	}
	public static void setFirstStartTime(Long recordId,Date date) {
		redisUtil.set(RedisKeyHelper.examRecordCacheKey(recordId), "firstStartTime",date);
	}
	public static void setStatus(Long recordId,ExamRecordStatusEnum status) {
		redisUtil.set(RedisKeyHelper.examRecordCacheKey(recordId), "status",status);
	}
	
	public static Integer getDurationSeconds(Long recordId) {
		return (Integer) redisUtil.get(RedisKeyHelper.examRecordCacheKey(recordId), "surationSeconds");
	}
	
	public static Double getObjectiveScore(Long recordId) {
		return (Double) redisUtil.get(RedisKeyHelper.examRecordCacheKey(recordId), "objectiveScore");
	}
	
}
