package com.qmth.themis.business.enums;

import java.util.Objects;

/**
 * @Description: mq enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/1
 */
public enum MqEnum {

    /**
     * 用户session记录
     */
    SESSION(0, "用户session记录"),

    /**
     * 考生轨迹
     */
    EXAM_STUDENT_LOG(1, "考生轨迹"),
    /**
     * 预警日志
     */
    WARMING_LOG(2, "预警日志"),

    /**
     * 异常日志
     */
    EXCEPTION_LOG(3, "异常日志"),

    /**
     * 消息日志
     */
    MESSAGE_LOG(4, "消息日志"),

    /**
     * 用户轨迹
     */
    USER_LOG(5, "用户轨迹"),

    /**
     * 任务
     */
    TASK_LOG(6, "任务"),

    /**
     * quartz
     */
    QUARTZ_LOG(7, "quartz任务"),

    /**
     * websocket超时退出
     */
    WEBSOCKET_UN_NORMAL_LOG(100, "websocket超时退出");

    private int id;

    private String code;

    private MqEnum(int id, String code) {
        this.id = id;
        this.code = code;
    }

    /**
     * 状态转换 toId
     *
     * @param value
     * @return
     */
    public static int convertToId(String value) {
        if (Objects.equals(value.trim(), SESSION.name())) {
            return SESSION.getId();
        } else if (Objects.equals(value.trim(), EXAM_STUDENT_LOG.name())) {
            return EXAM_STUDENT_LOG.getId();
        } else if (Objects.equals(value.trim(), WARMING_LOG.name())) {
            return WARMING_LOG.getId();
        } else if (Objects.equals(value.trim(), EXCEPTION_LOG.name())) {
            return EXCEPTION_LOG.getId();
        } else if (Objects.equals(value.trim(), USER_LOG.name())) {
            return USER_LOG.getId();
        } else if (Objects.equals(value.trim(), TASK_LOG.name())) {
            return TASK_LOG.getId();
        } else if (Objects.equals(value.trim(), WEBSOCKET_UN_NORMAL_LOG.name())) {
            return WEBSOCKET_UN_NORMAL_LOG.getId();
        } else if (Objects.equals(value.trim(), QUARTZ_LOG.name())) {
            return QUARTZ_LOG.getId();
        } else {
            return MESSAGE_LOG.getId();
        }
    }

    /**
     * 状态转换 toName
     *
     * @param value
     * @return
     */
    public static String convertToName(String value) {
        if (Objects.equals(value.trim(), SESSION.getCode())) {
            return SESSION.name();
        } else if (Objects.equals(value.trim(), EXAM_STUDENT_LOG.getCode())) {
            return EXAM_STUDENT_LOG.name();
        } else if (Objects.equals(value.trim(), WARMING_LOG.getCode())) {
            return WARMING_LOG.name();
        } else if (Objects.equals(value.trim(), EXCEPTION_LOG.getCode())) {
            return EXCEPTION_LOG.name();
        } else if (Objects.equals(value.trim(), USER_LOG.getCode())) {
            return USER_LOG.name();
        } else if (Objects.equals(value.trim(), TASK_LOG.getCode())) {
            return TASK_LOG.name();
        } else if (Objects.equals(value.trim(), WEBSOCKET_UN_NORMAL_LOG.getCode())) {
            return WEBSOCKET_UN_NORMAL_LOG.name();
        } else if (Objects.equals(value.trim(), QUARTZ_LOG.getCode())) {
            return QUARTZ_LOG.name();
        } else {
            return MESSAGE_LOG.name();
        }
    }

    public int getId() {
        return id;
    }

    public String getCode() {
        return code;
    }
}
