/*
 Navicat Premium Data Transfer

 Source Server         : localhost
 Source Server Type    : MySQL
 Source Server Version : 80020
 Source Host           : localhost:3306
 Source Schema         : themis

 Target Server Type    : MySQL
 Target Server Version : 80020
 File Encoding         : 65001

 Date: 29/07/2020 18:22:29
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for QRTZ_BLOB_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_BLOB_TRIGGERS`;
CREATE TABLE `QRTZ_BLOB_TRIGGERS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `BLOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `SCHED_NAME` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_CALENDARS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_CALENDARS`;
CREATE TABLE `QRTZ_CALENDARS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `CALENDAR_NAME` varchar(200) NOT NULL,
  `CALENDAR` blob NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`CALENDAR_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_CRON_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_CRON_TRIGGERS`;
CREATE TABLE `QRTZ_CRON_TRIGGERS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `CRON_EXPRESSION` varchar(120) NOT NULL,
  `TIME_ZONE_ID` varchar(80) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_FIRED_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_FIRED_TRIGGERS`;
CREATE TABLE `QRTZ_FIRED_TRIGGERS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `ENTRY_ID` varchar(95) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `FIRED_TIME` bigint NOT NULL,
  `SCHED_TIME` bigint NOT NULL,
  `PRIORITY` int NOT NULL,
  `STATE` varchar(16) NOT NULL,
  `JOB_NAME` varchar(200) DEFAULT NULL,
  `JOB_GROUP` varchar(200) DEFAULT NULL,
  `IS_NONCONCURRENT` varchar(1) DEFAULT NULL,
  `REQUESTS_RECOVERY` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`ENTRY_ID`),
  KEY `IDX_QRTZ_FT_TRIG_INST_NAME` (`SCHED_NAME`,`INSTANCE_NAME`),
  KEY `IDX_QRTZ_FT_INST_JOB_REQ_RCVRY` (`SCHED_NAME`,`INSTANCE_NAME`,`REQUESTS_RECOVERY`),
  KEY `IDX_QRTZ_FT_J_G` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`),
  KEY `IDX_QRTZ_FT_JG` (`SCHED_NAME`,`JOB_GROUP`),
  KEY `IDX_QRTZ_FT_T_G` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `IDX_QRTZ_FT_TG` (`SCHED_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_JOB_DETAILS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_JOB_DETAILS`;
CREATE TABLE `QRTZ_JOB_DETAILS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `JOB_CLASS_NAME` varchar(250) NOT NULL,
  `IS_DURABLE` varchar(1) NOT NULL,
  `IS_NONCONCURRENT` varchar(1) NOT NULL,
  `IS_UPDATE_DATA` varchar(1) NOT NULL,
  `REQUESTS_RECOVERY` varchar(1) NOT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`),
  KEY `IDX_QRTZ_J_REQ_RECOVERY` (`SCHED_NAME`,`REQUESTS_RECOVERY`),
  KEY `IDX_QRTZ_J_GRP` (`SCHED_NAME`,`JOB_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_LOCKS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_LOCKS`;
CREATE TABLE `QRTZ_LOCKS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `LOCK_NAME` varchar(40) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`LOCK_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_PAUSED_TRIGGER_GRPS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_PAUSED_TRIGGER_GRPS`;
CREATE TABLE `QRTZ_PAUSED_TRIGGER_GRPS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_SCHEDULER_STATE
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SCHEDULER_STATE`;
CREATE TABLE `QRTZ_SCHEDULER_STATE` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `INSTANCE_NAME` varchar(200) NOT NULL,
  `LAST_CHECKIN_TIME` bigint NOT NULL,
  `CHECKIN_INTERVAL` bigint NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`INSTANCE_NAME`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_SIMPLE_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SIMPLE_TRIGGERS`;
CREATE TABLE `QRTZ_SIMPLE_TRIGGERS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `REPEAT_COUNT` bigint NOT NULL,
  `REPEAT_INTERVAL` bigint NOT NULL,
  `TIMES_TRIGGERED` bigint NOT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_SIMPROP_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_SIMPROP_TRIGGERS`;
CREATE TABLE `QRTZ_SIMPROP_TRIGGERS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `STR_PROP_1` varchar(512) DEFAULT NULL,
  `STR_PROP_2` varchar(512) DEFAULT NULL,
  `STR_PROP_3` varchar(512) DEFAULT NULL,
  `INT_PROP_1` int DEFAULT NULL,
  `INT_PROP_2` int DEFAULT NULL,
  `LONG_PROP_1` bigint DEFAULT NULL,
  `LONG_PROP_2` bigint DEFAULT NULL,
  `DEC_PROP_1` decimal(13,4) DEFAULT NULL,
  `DEC_PROP_2` decimal(13,4) DEFAULT NULL,
  `BOOL_PROP_1` varchar(1) DEFAULT NULL,
  `BOOL_PROP_2` varchar(1) DEFAULT NULL,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for QRTZ_TRIGGERS
-- ----------------------------
DROP TABLE IF EXISTS `QRTZ_TRIGGERS`;
CREATE TABLE `QRTZ_TRIGGERS` (
  `SCHED_NAME` varchar(120) NOT NULL,
  `TRIGGER_NAME` varchar(200) NOT NULL,
  `TRIGGER_GROUP` varchar(200) NOT NULL,
  `JOB_NAME` varchar(200) NOT NULL,
  `JOB_GROUP` varchar(200) NOT NULL,
  `DESCRIPTION` varchar(250) DEFAULT NULL,
  `NEXT_FIRE_TIME` bigint DEFAULT NULL,
  `PREV_FIRE_TIME` bigint DEFAULT NULL,
  `PRIORITY` int DEFAULT NULL,
  `TRIGGER_STATE` varchar(16) NOT NULL,
  `TRIGGER_TYPE` varchar(8) NOT NULL,
  `START_TIME` bigint NOT NULL,
  `END_TIME` bigint DEFAULT NULL,
  `CALENDAR_NAME` varchar(200) DEFAULT NULL,
  `MISFIRE_INSTR` smallint DEFAULT NULL,
  `JOB_DATA` blob,
  PRIMARY KEY (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`),
  KEY `IDX_QRTZ_T_J` (`SCHED_NAME`,`JOB_NAME`,`JOB_GROUP`),
  KEY `IDX_QRTZ_T_JG` (`SCHED_NAME`,`JOB_GROUP`),
  KEY `IDX_QRTZ_T_C` (`SCHED_NAME`,`CALENDAR_NAME`),
  KEY `IDX_QRTZ_T_G` (`SCHED_NAME`,`TRIGGER_GROUP`),
  KEY `IDX_QRTZ_T_STATE` (`SCHED_NAME`,`TRIGGER_STATE`),
  KEY `IDX_QRTZ_T_N_STATE` (`SCHED_NAME`,`TRIGGER_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`),
  KEY `IDX_QRTZ_T_N_G_STATE` (`SCHED_NAME`,`TRIGGER_GROUP`,`TRIGGER_STATE`),
  KEY `IDX_QRTZ_T_NEXT_FIRE_TIME` (`SCHED_NAME`,`NEXT_FIRE_TIME`),
  KEY `IDX_QRTZ_T_NFT_ST` (`SCHED_NAME`,`TRIGGER_STATE`,`NEXT_FIRE_TIME`),
  KEY `IDX_QRTZ_T_NFT_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`),
  KEY `IDX_QRTZ_T_NFT_ST_MISFIRE` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_STATE`),
  KEY `IDX_QRTZ_T_NFT_ST_MISFIRE_GRP` (`SCHED_NAME`,`MISFIRE_INSTR`,`NEXT_FIRE_TIME`,`TRIGGER_GROUP`,`TRIGGER_STATE`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Table structure for t_b_app
-- ----------------------------
DROP TABLE IF EXISTS `t_b_app`;
CREATE TABLE `t_b_app` (
  `id` bigint NOT NULL COMMENT '主键\n',
  `name` varchar(100) NOT NULL COMMENT '应用名',
  `access_key` varchar(100) NOT NULL COMMENT '访问凭证',
  `access_secret` varchar(100) NOT NULL COMMENT '访问密钥',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `last_access_time` datetime DEFAULT NULL COMMENT '最近访问时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='app信息';

-- ----------------------------
-- Table structure for t_b_attachment
-- ----------------------------
DROP TABLE IF EXISTS `t_b_attachment`;
CREATE TABLE `t_b_attachment` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(100) NOT NULL COMMENT '附件名称',
  `path` varchar(500) DEFAULT NULL COMMENT '路径',
  `type` varchar(30) NOT NULL COMMENT '类型',
  `size` double NOT NULL COMMENT '大小',
  `md5` varchar(255) NOT NULL COMMENT 'MD5',
  `remark` varchar(500) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='附件表';

-- ----------------------------
-- Table structure for t_b_client_version
-- ----------------------------
DROP TABLE IF EXISTS `t_b_client_version`;
CREATE TABLE `t_b_client_version` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(50) NOT NULL COMMENT '版本名',
  `value` int NOT NULL COMMENT '版本号',
  `url` varchar(100) NOT NULL COMMENT '版本详情链接',
  `description` varchar(200) DEFAULT NULL COMMENT '版本描述',
  `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='客户端版本';

-- ----------------------------
-- Table structure for t_b_exam_invigilate_user
-- ----------------------------
DROP TABLE IF EXISTS `t_b_exam_invigilate_user`;
CREATE TABLE `t_b_exam_invigilate_user` (
  `id` bigint NOT NULL COMMENT '主键',
  `org_id` bigint DEFAULT NULL COMMENT '机构ID',
  `user_id` bigint DEFAULT NULL COMMENT '用户ID',
  `room_code` varchar(50) NOT NULL COMMENT '考场代码',
  `room_name` varchar(100) NOT NULL COMMENT '考场名称',
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_b_exam_invigilate_user_orgId_userId_roomCode_Idx` (`org_id`,`user_id`,`room_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='监考员设置';

-- ----------------------------
-- Records of t_b_exam_invigilate_user
-- ----------------------------
BEGIN;
INSERT INTO `t_b_exam_invigilate_user` VALUES (18747037654712320, 1, NULL, '20200715002', '大学英语考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18747037893787648, 1, NULL, '20200715001', '大学语文考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18753491958759424, 1, NULL, '20200715004', '大学语文随到随考考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18753492000702464, 1, NULL, '20200715003', '大学英语随到随考考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18765092195663872, 1, 3, '20200715001', '大学语文考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18765092271161344, 1, 4, '20200715001', '大学语文考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18765092636065792, 1, 5, '20200715002', '大学英语考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18765092749312000, 1, 6, '20200715002', '大学英语考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18765093063884800, 1, 18765092862558208, '20200715003', '大学英语随到随考考场');
INSERT INTO `t_b_exam_invigilate_user` VALUES (18765093223268352, 1, 18765093122605056, '20200715004', '大学语文随到随考考场');
COMMIT;

-- ----------------------------
-- Table structure for t_b_org
-- ----------------------------
DROP TABLE IF EXISTS `t_b_org`;
CREATE TABLE `t_b_org` (
  `id` bigint NOT NULL COMMENT '主键',
  `code` varchar(50) NOT NULL COMMENT '机构代码，通常用学校简称表示，全局唯一',
  `name` varchar(100) NOT NULL COMMENT '名称',
  `logo` varchar(100) DEFAULT NULL COMMENT 'logo图片url',
  `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
  `enable_simulate` tinyint DEFAULT NULL COMMENT '是否开启模考',
  `simulate_paper_id` bigint DEFAULT NULL COMMENT '模考试卷id',
  `access_key` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '外部访问凭证',
  `access_secret` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '外部访问密钥',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `contact_name` varchar(50) DEFAULT NULL COMMENT '联系人',
  `contact_phone` varchar(30) DEFAULT NULL COMMENT '联系人电话',
  `enable_liveness` tinyint DEFAULT NULL COMMENT '是否允许使用活体',
  `enable_monitor_record` tinyint DEFAULT NULL COMMENT '是否允许监控转录',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='机构';

-- ----------------------------
-- Records of t_b_org
-- ----------------------------
BEGIN;
INSERT INTO `t_b_org` VALUES (1, 'test1', 'test1', NULL, 1, 0, NULL, NULL, NULL, '2020-07-02 12:08:31', '2020-07-02 12:08:31', 'sysadmin', '11111111111', 0, 0, NULL, NULL);
INSERT INTO `t_b_org` VALUES (1281509005815296001, 'test5', 'test2', 'http://11', 1, NULL, 1, '2', '2', '2020-07-10 16:42:11', '2020-07-11 16:19:44', '3', '4', 1, 1, 1, 1);
COMMIT;

-- ----------------------------
-- Table structure for t_b_privilege
-- ----------------------------
DROP TABLE IF EXISTS `t_b_privilege`;
CREATE TABLE `t_b_privilege` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(50) NOT NULL COMMENT '名称',
  `url` varchar(100) NOT NULL COMMENT '地址',
  `type` varchar(50) NOT NULL COMMENT '类型',
  `parent_id` bigint DEFAULT NULL COMMENT '父id',
  `sequence` int DEFAULT NULL COMMENT '序号',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='菜单和权限';

-- ----------------------------
-- Records of t_b_privilege
-- ----------------------------
BEGIN;
INSERT INTO `t_b_privilege` VALUES (1, '基础管理', 'basicManager', 'MENU', NULL, 1, NULL, '2020-07-02 12:08:31');
INSERT INTO `t_b_privilege` VALUES (2, '用户管理', 'userManager', 'MENU', NULL, 1, NULL, '2020-07-02 12:08:31');
INSERT INTO `t_b_privilege` VALUES (3, '考务管理', 'examinationsManager', 'MENU', NULL, 1, NULL, '2020-07-02 12:08:31');
INSERT INTO `t_b_privilege` VALUES (4, '监考管理', 'invigilateManager', 'MENU', NULL, 1, NULL, '2020-07-02 12:08:31');
INSERT INTO `t_b_privilege` VALUES (5, '考情监控', 'invigilateMenu', 'MENU', 4, 1, NULL, '2020-07-02 12:08:31');
INSERT INTO `t_b_privilege` VALUES (6, '考情监控实时列表', '/api/admin/invigilate/list', 'LINK', 5, 1, NULL, '2020-07-02 12:08:31');
INSERT INTO `t_b_privilege` VALUES (7, '考情监控实时视频列表', '/api/admin/invigilate/list/video', 'LINK', 5, 2, NULL, '2020-07-02 12:08:31');
INSERT INTO `t_b_privilege` VALUES (8, '在线巡考', 'patrolMenuMenu', 'MENU', 4, 2, NULL, '2020-07-02 12:08:31');
COMMIT;

-- ----------------------------
-- Table structure for t_b_role
-- ----------------------------
DROP TABLE IF EXISTS `t_b_role`;
CREATE TABLE `t_b_role` (
  `id` bigint NOT NULL COMMENT '主键',
  `role_code` varchar(30) NOT NULL COMMENT '角色编码',
  `role_name` varchar(50) NOT NULL COMMENT '角色名称',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_b_role_role_code_Idx` (`role_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色';

-- ----------------------------
-- Records of t_b_role
-- ----------------------------
BEGIN;
INSERT INTO `t_b_role` VALUES (1, 'SUPER_ADMIN', '系统管理员', '2020-07-02 12:08:31');
INSERT INTO `t_b_role` VALUES (2, 'TEACHER', '老师', '2020-07-02 12:08:31');
INSERT INTO `t_b_role` VALUES (3, 'STUDENT', '学生', '2020-07-02 12:08:31');
INSERT INTO `t_b_role` VALUES (4, 'INVIGILATE', '监考员', '2020-07-02 12:08:31');
INSERT INTO `t_b_role` VALUES (5, 'ADMIN', '管理员', '2020-07-02 12:08:31');
INSERT INTO `t_b_role` VALUES (6, 'INSPECTION', '巡考员', '2020-07-02 12:08:31');
COMMIT;

-- ----------------------------
-- Table structure for t_b_role_privilege
-- ----------------------------
DROP TABLE IF EXISTS `t_b_role_privilege`;
CREATE TABLE `t_b_role_privilege` (
  `id` bigint NOT NULL COMMENT '主键',
  `role_code` varchar(50) NOT NULL COMMENT '角色编码',
  `privilege_id` bigint NOT NULL COMMENT '权限id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='角色权限';

-- ----------------------------
-- Records of t_b_role_privilege
-- ----------------------------
BEGIN;
INSERT INTO `t_b_role_privilege` VALUES (1, 'TEACHER', 1);
INSERT INTO `t_b_role_privilege` VALUES (2, 'TEACHER', 2);
INSERT INTO `t_b_role_privilege` VALUES (3, 'TEACHER', 3);
INSERT INTO `t_b_role_privilege` VALUES (4, 'TEACHER', 6);
INSERT INTO `t_b_role_privilege` VALUES (5, 'STUDENT', 8);
INSERT INTO `t_b_role_privilege` VALUES (6, 'STUDENT', 7);
INSERT INTO `t_b_role_privilege` VALUES (7, 'TEACHER', 4);
INSERT INTO `t_b_role_privilege` VALUES (8, 'INVIGILATE', 1);
INSERT INTO `t_b_role_privilege` VALUES (9, 'INVIGILATE', 2);
INSERT INTO `t_b_role_privilege` VALUES (10, 'INVIGILATE', 3);
INSERT INTO `t_b_role_privilege` VALUES (11, 'INVIGILATE', 6);
INSERT INTO `t_b_role_privilege` VALUES (12, 'INVIGILATE', 4);
COMMIT;

-- ----------------------------
-- Table structure for t_b_session
-- ----------------------------
DROP TABLE IF EXISTS `t_b_session`;
CREATE TABLE `t_b_session` (
  `id` varchar(100) NOT NULL COMMENT '主键',
  `identity` varchar(100) NOT NULL COMMENT '用户标识',
  `type` varchar(50) NOT NULL COMMENT '用户类型',
  `source` varchar(50) NOT NULL COMMENT '访问来源',
  `platform` varchar(50) NOT NULL COMMENT '设备分类',
  `device_id` varchar(100) NOT NULL COMMENT '设备标识',
  `address` varchar(100) NOT NULL COMMENT '登录IP地址',
  `access_token` varchar(50) NOT NULL COMMENT '访问令牌',
  `last_access_time` datetime DEFAULT NULL COMMENT '最近访问时间',
  `last_access_ip` varchar(100) DEFAULT NULL COMMENT '最近访问IP地址',
  `update_time` datetime DEFAULT NULL COMMENT '令牌更新时间',
  `expire_time` datetime DEFAULT NULL COMMENT '令牌强制失效时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='会话信息';

-- ----------------------------
-- Records of t_b_session
-- ----------------------------
BEGIN;
INSERT INTO `t_b_session` VALUES ('1-1591624781-admin_web', '1', '[SUPER_ADMIN]', 'admin_web', 'web', '1234567891', '0:0:0:0:0:0:0:1', '3BtiFAEMW0wN3tq4mahtxaDXgfGuCtsS', '2020-07-29 14:02:27', NULL, '2020-07-29 18:20:51', '2020-07-30 18:20:50');
COMMIT;

-- ----------------------------
-- Table structure for t_b_task_history
-- ----------------------------
DROP TABLE IF EXISTS `t_b_task_history`;
CREATE TABLE `t_b_task_history` (
  `id` bigint NOT NULL COMMENT '主键',
  `type` varchar(30) NOT NULL COMMENT '任务类型，calculate_exam_score：考试重新算分，import_exam_student：导入考生，import_exam_paper：导入试卷，import_invigilate_user：导入监考员，export_invigilate_user：导出监考员',
  `entity_id` bigint DEFAULT NULL COMMENT '关联业务对象ID',
  `status` varchar(30) NOT NULL COMMENT '任务状态，init：未开始，running：开始执行，finish：执行结束',
  `summary` mediumtext COMMENT '实时摘要信息',
  `progress` double DEFAULT NULL COMMENT '执行进度',
  `import_file_name` varchar(100) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '导入文件名',
  `import_file_path` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '导入文件路径',
  `result_file_path` varchar(500) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '结果文件路径',
  `error_file_path` varchar(500) DEFAULT NULL COMMENT '错误记录路径',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `finish_time` datetime DEFAULT NULL COMMENT '结束时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='异步任务';

-- ----------------------------
-- Table structure for t_b_user
-- ----------------------------
DROP TABLE IF EXISTS `t_b_user`;
CREATE TABLE `t_b_user` (
  `id` bigint NOT NULL COMMENT '主键',
  `login_name` varchar(50) NOT NULL COMMENT '用户名',
  `password` varchar(30) NOT NULL COMMENT '密码',
  `mobile_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '手机号',
  `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
  `org_id` bigint DEFAULT NULL COMMENT '机构id',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(100) DEFAULT NULL COMMENT '备注',
  `name` varchar(50) NOT NULL COMMENT '姓名',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户';

-- ----------------------------
-- Records of t_b_user
-- ----------------------------
BEGIN;
INSERT INTO `t_b_user` VALUES (1, 'sysadmin', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-02 12:08:31', NULL, '系统管理员', 'sysadmin', NULL, NULL);
INSERT INTO `t_b_user` VALUES (2, 't1', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-02 12:08:31', NULL, NULL, '测试老师1', 1, NULL);
INSERT INTO `t_b_user` VALUES (3, 'i1', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-02 12:08:31', NULL, NULL, '监考老师1', 1, NULL);
INSERT INTO `t_b_user` VALUES (4, 'i2', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-02 12:08:31', NULL, NULL, '监考老师2', 1, NULL);
INSERT INTO `t_b_user` VALUES (5, 'i3', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-02 12:08:31', NULL, NULL, '监考老师3', 1, NULL);
INSERT INTO `t_b_user` VALUES (6, 'i4', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-02 12:08:31', NULL, NULL, '监考老师4', 1, NULL);
INSERT INTO `t_b_user` VALUES (18765092862558208, 'i5', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-22 18:45:47', '2020-07-22 18:45:47', NULL, 'i5', 1, NULL);
INSERT INTO `t_b_user` VALUES (18765093122605056, 'i6', '1jdzWuniG6UMtoa3T6uNLA==', NULL, 1, 1, '2020-07-22 18:45:47', '2020-07-22 18:45:47', NULL, 'i6', 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_b_user_role
-- ----------------------------
DROP TABLE IF EXISTS `t_b_user_role`;
CREATE TABLE `t_b_user_role` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint NOT NULL COMMENT '用户id',
  `role_code` varchar(30) NOT NULL COMMENT '角色编码',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户角色';

-- ----------------------------
-- Records of t_b_user_role
-- ----------------------------
BEGIN;
INSERT INTO `t_b_user_role` VALUES (1, 1, 'SUPER_ADMIN');
INSERT INTO `t_b_user_role` VALUES (2, 2, 'TEACHER');
INSERT INTO `t_b_user_role` VALUES (3, 3, 'TEACHER');
INSERT INTO `t_b_user_role` VALUES (4, 3, 'INVIGILATE');
INSERT INTO `t_b_user_role` VALUES (5, 4, 'TEACHER');
INSERT INTO `t_b_user_role` VALUES (6, 4, 'INVIGILATE');
INSERT INTO `t_b_user_role` VALUES (7, 5, 'TEACHER');
INSERT INTO `t_b_user_role` VALUES (8, 5, 'INVIGILATE');
INSERT INTO `t_b_user_role` VALUES (9, 6, 'TEACHER');
INSERT INTO `t_b_user_role` VALUES (10, 6, 'INVIGILATE');
INSERT INTO `t_b_user_role` VALUES (18765092925472768, 18765092862558208, 'TEACHER');
INSERT INTO `t_b_user_role` VALUES (18765092992581632, 18765092862558208, 'INVIGILATE');
INSERT INTO `t_b_user_role` VALUES (18765093160353792, 18765093122605056, 'TEACHER');
INSERT INTO `t_b_user_role` VALUES (18765093193908224, 18765093122605056, 'INVIGILATE');
COMMIT;

-- ----------------------------
-- Table structure for t_e_config
-- ----------------------------
DROP TABLE IF EXISTS `t_e_config`;
CREATE TABLE `t_e_config` (
  `id` bigint NOT NULL COMMENT '主键',
  `similarity_threshold` double DEFAULT NULL COMMENT '相似度比较阀值',
  `liveness_action_count` int DEFAULT NULL COMMENT '活体动作个数',
  `liveness_action_retry_count` int DEFAULT NULL COMMENT '活体单个动作重试次数',
  `liveness_action_limit_seconds` int DEFAULT NULL COMMENT '活体单个动作限时秒数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='全局配置';

-- ----------------------------
-- Records of t_e_config
-- ----------------------------
BEGIN;
INSERT INTO `t_e_config` VALUES (1, 95, 3, 3, 30);
COMMIT;

-- ----------------------------
-- Table structure for t_e_exam
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam`;
CREATE TABLE `t_e_exam` (
  `id` bigint NOT NULL COMMENT '主键',
  `org_id` bigint DEFAULT NULL COMMENT '机构ID',
  `code` varchar(50) NOT NULL COMMENT '批次编码，机构唯一',
  `name` varchar(100) NOT NULL COMMENT '批次名称',
  `tag` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '批次标注，可用于多个考试批次归类',
  `start_time` datetime NOT NULL COMMENT '批次开始时间',
  `end_time` datetime NOT NULL COMMENT '批次结束时间',
  `short_code` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '考试口令',
  `prepare_seconds` int DEFAULT NULL COMMENT '提前多长时间开始候考(分钟)',
  `min_duration_seconds` int DEFAULT NULL COMMENT '最短考试时长，相当于考试冻结时间(分钟)',
  `pre_notice` mediumtext COMMENT '考前须知',
  `pre_notice_stay_seconds` int DEFAULT NULL COMMENT '考试须知阅读时长(秒)',
  `post_notice` mediumtext COMMENT '考后说明，针对一个场次进行设置',
  `exam_count` int DEFAULT NULL COMMENT '允许考试次数',
  `break_expire_seconds` int DEFAULT NULL COMMENT '断点失效时间(秒)',
  `break_resume_count` int DEFAULT NULL COMMENT '断点续考次数',
  `client_video_push` tinyint DEFAULT NULL COMMENT '是否开启/强制客户端视频监控，0：不开启，1：开启，2：强制开启',
  `client_video_record` tinyint DEFAULT NULL COMMENT '是否开启客户端视频转录，0：不开启，1：开启',
  `wxapp_video_push` tinyint DEFAULT NULL COMMENT '是否开启/强制微信小程序监控，0：不开启，1：开启，2：强制开启',
  `wxapp_video_record` tinyint DEFAULT NULL COMMENT '是否开启微信小程序视频转录，0：不开启，1：开启',
  `camera_photo_upload` tinyint DEFAULT NULL COMMENT '是否允许使用摄像头拍照答题，0：不允许，1：允许',
  `wxapp_photo_upload` tinyint DEFAULT NULL COMMENT '是否允许使用微信拍照答题，0：不允许，1：允许',
  `reexam_auditing` tinyint DEFAULT NULL COMMENT '重考是否审批，0：不审批，1：审批',
  `show_objective_score` tinyint DEFAULT NULL COMMENT '交卷后是否显示客观得分，0：不显示，1：显示',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `mode` varchar(30) DEFAULT NULL COMMENT '模式，together：集中统一，anytime：随到随考',
  `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
  `archived` tinyint DEFAULT NULL COMMENT '是否归档，0：不归档，1：归档',
  `opening_seconds` int DEFAULT NULL COMMENT '允许开考开放时长(分钟)，相当于迟到时间',
  `max_duration_seconds` int DEFAULT NULL COMMENT '最大考试时长(分钟)',
  `force_finish` tinyint DEFAULT NULL COMMENT '是否在结束时间集中强制收卷，0：不强制，1：强制',
  `entry_authentication_policy` varchar(30) DEFAULT NULL COMMENT '开考身份验证策略，off：关闭，face_verify_optional：非强制人脸验证，face_verify_force：强制人脸验证，liveness：活体验证',
  `in_process_face_verify` tinyint DEFAULT NULL COMMENT '考试过程中人脸检测是否开启，0：不开启，1：开启',
  `in_process_face_stranger_ignore` tinyint DEFAULT NULL COMMENT '考试过程中人脸检测是否忽略陌生人 ，0：不忽略，1：忽略',
  `in_process_liveness_verify` tinyint DEFAULT NULL COMMENT '考试过程中是否启用活体检测 ，0：不启用，1：启用',
  `in_process_liveness_interval_seconds` tinyint DEFAULT NULL COMMENT '考试过程中活体检测间隔时间',
  `in_process_liveness_retry_count` tinyint DEFAULT NULL COMMENT '考试过程中活体检测重试次数\n',
  `in_process_liveness_judge_policy` varchar(30) DEFAULT NULL COMMENT '考试过程中活体检测结果判定规则，any：任意一次通过，all：全部都要通过，more：通过次数大于失败次数',
  `record_select_strategy` varchar(30) DEFAULT NULL COMMENT '多次考试记录的选择逻辑，highest_total_score：全部阅卷后取最高分，highest_objective_score：客观分最高，latest：最后一次提交',
  `enable_ip_limit` tinyint DEFAULT NULL COMMENT '是否IP段限制，0：不允许，1：允许',
  `ip_allow` varchar(1000) DEFAULT NULL COMMENT '允许IP段',
  `score_status` varchar(30) DEFAULT NULL COMMENT '算分状态，never：从未算分，calculating：正在算分，finish：算分完成',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  `enable_short_code` tinyint DEFAULT NULL COMMENT '是否启用开考口令，0：不启用，1：启用',
  `enable_break` tinyint DEFAULT NULL COMMENT '是否允许断点续考，0：不允许，1：允许',
  `objective_score_policy` varchar(30) DEFAULT NULL COMMENT '客观题给分策略，equal: 全对给分，partial: 漏选给一半分',
  `monitor_video_source` varchar(300) DEFAULT NULL COMMENT '开启监控的视频源',
  `monitor_record` tinyint DEFAULT NULL COMMENT '是否开始监控转录，0：开启，1：不开启',
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_e_exam_orgId_code_Idx` (`org_id`,`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试批次';

-- ----------------------------
-- Records of t_e_exam
-- ----------------------------
BEGIN;
INSERT INTO `t_e_exam` VALUES (18738036992901120, 1, '202007130001', '20200713test1', '20200713001', '2020-07-27 00:00:00', '2020-07-29 00:00:00', '456321', 10, 5, '我是考前须知1', 10, '我是考后说明1', 3, 60, 5, 1, 1, 1, 1, 1, 1, 1, 1, '2020-07-22 16:58:17', '2020-07-22 16:58:17', 'together', 1, NULL, 10, 120, 1, 'liveness', 1, 0, 1, 10, 3, 'all', 'highest_objective_score', 1, '192.168.10.2,192.168.10.3', 'never', 1, NULL, 1, 1, 'equal', NULL, NULL);
INSERT INTO `t_e_exam` VALUES (18738491387019264, 1, '202007130002', '20200713test2', '20200713002', '2020-07-27 00:00:00', '2020-07-29 00:00:00', '4563210', 10, 5, '我是考前须知2', 10, '我是考后说明2', 3, 60, 5, 1, 1, 1, 1, 1, 1, 1, 1, '2020-07-22 17:00:05', '2020-07-22 17:00:05', 'anytime', 1, NULL, 10, 120, 1, 'liveness', 1, 0, 1, 10, 3, 'all', 'highest_objective_score', 1, '192.168.10.2,192.168.10.3', 'never', 1, NULL, 1, 1, 'equal', NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_e_exam_activity
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam_activity`;
CREATE TABLE `t_e_exam_activity` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '批次id',
  `code` varchar(50) NOT NULL COMMENT '场次代码',
  `prepare_seconds` int DEFAULT NULL COMMENT '提前多长时间开始候考(分钟)',
  `max_duration_seconds` int DEFAULT NULL COMMENT '最大考试时长',
  `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
  `opening_seconds` int DEFAULT NULL COMMENT '允许开考时长(分钟)',
  `start_time` datetime DEFAULT NULL COMMENT '开考时间',
  `finish_time` datetime DEFAULT NULL COMMENT '结束时间',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_e_exam_activity_examId_code_Idx` (`exam_id`,`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试场次';

-- ----------------------------
-- Records of t_e_exam_activity
-- ----------------------------
BEGIN;
INSERT INTO `t_e_exam_activity` VALUES (18740006973603840, 18738036992901120, '202007130001-activity1', 10, 90, 1, 5, '2020-08-10 08:00:00', '2020-08-11 12:00:00', '2020-07-22 17:06:07', '2020-07-22 17:06:07', 1, NULL);
INSERT INTO `t_e_exam_activity` VALUES (18740006977798144, 18738036992901120, '202007130001-activity2', 10, 90, 1, 5, '2020-08-01 14:00:00', '2020-07-29 18:00:00', '2020-07-22 17:06:07', '2020-07-22 17:06:07', 1, NULL);
INSERT INTO `t_e_exam_activity` VALUES (18740448562511872, 18738491387019264, '202007130002-activity1', 10, 90, 1, 5, '2020-07-29 08:00:00', '2020-07-29 22:00:00', '2020-07-22 17:07:51', '2020-07-22 17:07:51', 1, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_e_exam_breach_log
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam_breach_log`;
CREATE TABLE `t_e_exam_breach_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `exam_activity_id` bigint NOT NULL COMMENT '场次ID',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `exam_student_id` bigint NOT NULL COMMENT '考生id',
  `type` tinyint DEFAULT NULL COMMENT '类型',
  `description` varchar(1000) DEFAULT NULL COMMENT '描述',
  `status` tinyint DEFAULT NULL COMMENT '状态，0：处理，1：撤销',
  `remark` varchar(1000) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `update_id` bigint DEFAULT NULL COMMENT '更新人',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考生违纪处理';

-- ----------------------------
-- Table structure for t_e_exam_course
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam_course`;
CREATE TABLE `t_e_exam_course` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `course_code` varchar(30) NOT NULL COMMENT '科目编码',
  `course_name` varchar(50) NOT NULL COMMENT '科目名称',
  `objective_shuffle` tinyint DEFAULT NULL COMMENT '是否开启客观题乱序，0：不开启，1：开启',
  `option_shuffle` tinyint DEFAULT NULL COMMENT '是否选项乱序，针对一个科目进行设置，0：不开启，1：开启',
  `paper_count` int DEFAULT NULL COMMENT '已绑定试卷数量',
  `has_answer` tinyint DEFAULT NULL COMMENT '是否已补齐标答，0：否，1：是',
  `audio_play_count` int DEFAULT NULL COMMENT '音频播放次数',
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_e_exam_course_examId_courseCode_Idx` (`exam_id`,`course_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试科目';

-- ----------------------------
-- Records of t_e_exam_course
-- ----------------------------
BEGIN;
INSERT INTO `t_e_exam_course` VALUES (18741288576745472, 18738036992901120, 'YW001', '大学语文', 1, 1, 2, NULL, 3);
INSERT INTO `t_e_exam_course` VALUES (18741587748061184, 18738036992901120, 'YY001', '大学英语', 1, 1, 2, NULL, 1);
INSERT INTO `t_e_exam_course` VALUES (18743613794025472, 18738491387019264, 'YW002', '大学语文', 0, 0, 1, NULL, 3);
INSERT INTO `t_e_exam_course` VALUES (18743690130358272, 18738491387019264, 'YY002', '大学英语', 0, 0, 1, NULL, 1);
COMMIT;

-- ----------------------------
-- Table structure for t_e_exam_paper
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam_paper`;
CREATE TABLE `t_e_exam_paper` (
  `id` bigint NOT NULL COMMENT '主键',
  `name` varchar(100) NOT NULL COMMENT '试卷名称',
  `total_score` double NOT NULL COMMENT '试卷总分',
  `paper_path` varchar(100) DEFAULT NULL COMMENT '题干路径',
  `decrypt_secret` varchar(50) DEFAULT NULL COMMENT '解密密钥',
  `encrypt_mode` varchar(30) DEFAULT NULL COMMENT 'auto：自动，hand：手动',
  `need_voice_answer` tinyint DEFAULT NULL COMMENT '是否需要语音作答，0：不需要，1：需要',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `exam_id` bigint DEFAULT NULL COMMENT '考试批次id',
  `code` varchar(50) DEFAULT NULL COMMENT '试卷编码',
  `answer_path` varchar(100) DEFAULT NULL COMMENT '标答路径',
  `has_audio` tinyint DEFAULT NULL COMMENT '题干包含音频，0：不包含，1：包含',
  `weight` double DEFAULT NULL COMMENT '调卷比例',
  `audio_play_count` int DEFAULT NULL COMMENT '音频播放次数',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  `course_code` varchar(30) DEFAULT NULL COMMENT '科目编码',
  `struct_path` varchar(100) DEFAULT NULL COMMENT '结构文件路径',
  `decrypt_vector` varchar(100) DEFAULT NULL COMMENT '解密向量',
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_e_exam_paper_examId_code_Idx` (`exam_id`,`code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试试卷';

-- ----------------------------
-- Records of t_e_exam_paper
-- ----------------------------
BEGIN;
INSERT INTO `t_e_exam_paper` VALUES (1, '大学语文2020测试卷A', 100, 'http://111', '123456', 'hand', 1, '2020-07-22 17:06:07', NULL, 18738036992901120, 'YWP001', 'http://222', 1, 100, 3, 1, NULL, 'YW001', 'http://333', '123456789');
INSERT INTO `t_e_exam_paper` VALUES (2, '大学英语2020测试卷A', 120, 'http://111', '123456', 'hand', 1, '2020-07-22 17:06:07', NULL, 18738036992901120, 'YYP001', 'http://222', 1, 90, 3, 1, NULL, 'YY001', 'http://333', '123456789');
INSERT INTO `t_e_exam_paper` VALUES (3, '大学语文2020测试卷B', 100, 'http://111', '123456', 'auto', 1, '2020-07-22 17:06:07', NULL, 18738036992901120, 'YWP002', 'http://222', 1, 90, 3, 1, NULL, 'YW001', 'http://333', '123456789');
INSERT INTO `t_e_exam_paper` VALUES (4, '大学英语2020测试卷B', 120, 'http://111', '123456', 'hand', 1, '2020-07-22 17:06:07', NULL, 18738036992901120, 'YYP002', 'http://222', 1, 100, 3, 1, NULL, 'YY001', 'http://333', '123456789');
INSERT INTO `t_e_exam_paper` VALUES (5, '大学语文2020随到随考卷', 100, 'http://111', '123456', 'auto', 1, '2020-07-22 17:06:07', NULL, 18738491387019264, 'YWP003', 'http://222', 1, 100, 3, 1, NULL, 'YW002', 'http://333', '123456789');
INSERT INTO `t_e_exam_paper` VALUES (6, '大学英语2020随到随考卷', 100, 'http://111', '123456', 'hand', 1, '2020-07-22 17:06:07', NULL, 18738491387019264, 'YYP003', 'http://222', 1, 100, 3, 1, NULL, 'YY002', 'http://333', '123456789');
COMMIT;

-- ----------------------------
-- Table structure for t_e_exam_reexam
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam_reexam`;
CREATE TABLE `t_e_exam_reexam` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `exam_activity_id` bigint NOT NULL COMMENT '场次ID',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `exam_student_id` bigint NOT NULL COMMENT '考生id',
  `apply_model` tinyint DEFAULT NULL COMMENT '重考方式，0：批次内，1：换批次',
  `apply_reason` tinyint DEFAULT NULL COMMENT '重考原因',
  `status` tinyint DEFAULT NULL COMMENT '状态，0：无需审核，1：待审核，2：已审核',
  `auditing_id` bigint DEFAULT NULL COMMENT '待审核人id',
  `auditing_status` tinyint DEFAULT NULL COMMENT '审核状态，0：通过，1：不通过',
  `auditing_time` datetime DEFAULT NULL COMMENT '审核时间',
  `auditing_suggest` varchar(1000) DEFAULT NULL COMMENT '审批意见',
  `remark` varchar(1000) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考生重考处理';

-- ----------------------------
-- Table structure for t_e_exam_student
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam_student`;
CREATE TABLE `t_e_exam_student` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '批次id',
  `exam_activity_id` bigint NOT NULL COMMENT '场次id',
  `student_id` bigint NOT NULL COMMENT '学生id',
  `course_code` varchar(50) NOT NULL COMMENT '科目代码',
  `room_code` varchar(50) NOT NULL COMMENT '虚拟考场代码，考试唯一',
  `identity` varchar(50) NOT NULL COMMENT '证件号，机构内唯一',
  `name` varchar(50) NOT NULL COMMENT '姓名',
  `parameter` varchar(1000) DEFAULT NULL COMMENT '扩展字段',
  `left_exam_count` int DEFAULT NULL COMMENT '剩余考试次数',
  `current_record_id` bigint DEFAULT NULL COMMENT '当前考试记录ID',
  `select_record_id` bigint DEFAULT NULL COMMENT '最终生效的记录ID',
  `room_name` varchar(100) DEFAULT NULL COMMENT '考场名称',
  `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  `grade` varchar(50) DEFAULT NULL COMMENT '年级',
  `class_no` varchar(50) DEFAULT NULL COMMENT '教学班级',
  `course_name` varchar(100) DEFAULT NULL COMMENT '科目名称',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考生库';

-- ----------------------------
-- Records of t_e_exam_student
-- ----------------------------
BEGIN;
INSERT INTO `t_e_exam_student` VALUES (1, 18738036992901120, 18740006977798144, 18747036253814784, 'YW001', '20200715001', '42112319900101004X', '赵六', NULL, NULL, NULL, NULL, '大学语文考场', 1, '2020-07-22 17:34:02', '2020-07-22 17:34:02', 1, NULL, '2020', '教学班级1', '大学语文');
INSERT INTO `t_e_exam_student` VALUES (1285870704202616834, 18738036992901120, 18740006973603840, 18747031182901248, 'YW001', '20200715001', '42112319900101001X', '张三', NULL, NULL, NULL, NULL, '大学语文考场', 1, '2020-07-22 17:34:01', '2020-07-22 17:34:01', 1, NULL, '2020', '教学班级1', '大学语文');
INSERT INTO `t_e_exam_student` VALUES (1285870705850978305, 18738036992901120, 18740006973603840, 18747033628180480, 'YW001', '20200715001', '42112319900101002X', '李四', NULL, NULL, NULL, NULL, '大学语文考场', 1, '2020-07-22 17:34:01', '2020-07-22 17:34:01', 1, NULL, '2020', '教学班级1', '大学语文');
INSERT INTO `t_e_exam_student` VALUES (1285870707079909378, 18738036992901120, 18740006977798144, 18747034915831808, 'YY001', '20200715002', '42112319900101003X', '王五', NULL, NULL, NULL, NULL, '大学英语考场', 1, '2020-07-22 17:34:02', '2020-07-22 17:34:02', 1, NULL, '2020', '教学班级2', '大学英语');
INSERT INTO `t_e_exam_student` VALUES (1285870708350783489, 18738036992901120, 18740006977798144, 18747036253814784, 'YY001', '20200715002', '42112319900101004X', '赵六', NULL, NULL, NULL, NULL, '大学英语考场', 1, '2020-07-22 17:34:02', '2020-07-22 17:34:02', 1, NULL, '2020', '教学班级2', '大学英语');
INSERT INTO `t_e_exam_student` VALUES (1285877162319286274, 18738491387019264, 18740448562511872, 18747036253814784, 'YY002', '20200715003', '42112319900101004X', '赵六', NULL, NULL, NULL, NULL, '大学英语随到随考考场', 1, '2020-07-22 17:59:41', '2020-07-22 17:59:41', 1, NULL, '2020', '教学班级2', '大学英语');
INSERT INTO `t_e_exam_student` VALUES (1285877162654830594, 18738491387019264, 18740448562511872, 18753490805325824, 'YY002', '20200715003', '42112319900101005X', '朱七', NULL, NULL, NULL, NULL, '大学英语随到随考考场', 1, '2020-07-22 17:59:41', '2020-07-22 17:59:41', 1, NULL, '2020', '教学班级3', '大学英语');
INSERT INTO `t_e_exam_student` VALUES (1285877163447554049, 18738491387019264, 18740448562511872, 18753491614826496, 'YW002', '20200715004', '42112319900101006X', '刘八', NULL, NULL, NULL, NULL, '大学语文随到随考考场', 1, '2020-07-22 17:59:41', '2020-07-22 17:59:41', 1, NULL, '2020', '教学班级3', '大学语文');
COMMIT;

-- ----------------------------
-- Table structure for t_e_exam_student_log
-- ----------------------------
DROP TABLE IF EXISTS `t_e_exam_student_log`;
CREATE TABLE `t_e_exam_student_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint DEFAULT NULL COMMENT '考试ID',
  `exam_activity_id` bigint DEFAULT NULL COMMENT '场次ID',
  `exam_record_id` bigint DEFAULT NULL COMMENT '考试记录ID',
  `exam_student_id` bigint DEFAULT NULL COMMENT '考生id',
  `type` tinyint DEFAULT NULL COMMENT '类型',
  `description` varchar(1000) DEFAULT NULL COMMENT '描述',
  `remark` mediumtext COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考生轨迹';

-- ----------------------------
-- Table structure for t_e_simulate_paper
-- ----------------------------
DROP TABLE IF EXISTS `t_e_simulate_paper`;
CREATE TABLE `t_e_simulate_paper` (
  `id` bigint NOT NULL COMMENT '主键',
  `org_id` bigint NOT NULL COMMENT '机构id',
  `name` varchar(100) NOT NULL COMMENT '试卷名称',
  `total_score` double NOT NULL COMMENT '总分',
  `paper_path` varchar(100) DEFAULT NULL COMMENT '题干路径',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '修改时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '修改人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模拟试卷';

-- ----------------------------
-- Table structure for t_e_student
-- ----------------------------
DROP TABLE IF EXISTS `t_e_student`;
CREATE TABLE `t_e_student` (
  `id` bigint NOT NULL COMMENT '主键',
  `org_id` bigint DEFAULT NULL COMMENT '机构ID',
  `identity` varchar(50) NOT NULL COMMENT '证件号',
  `password` varchar(30) NOT NULL COMMENT '登陆密码，密文保存',
  `idcard_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '身份证号',
  `mobile_number` varchar(30) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '手机号',
  `name` varchar(30) NOT NULL COMMENT '姓名',
  `gender` varchar(20) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '性别，man：男，woman：女',
  `base_photo_path` varchar(100) DEFAULT NULL COMMENT '底照保存地址',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  `enable` tinyint DEFAULT '1' COMMENT '是否启用，0：停用，1：启用',
  PRIMARY KEY (`id`),
  UNIQUE KEY `t_e_student_orgId_identity_Idx` (`org_id`,`identity`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='学生档案';

-- ----------------------------
-- Records of t_e_student
-- ----------------------------
BEGIN;
INSERT INTO `t_e_student` VALUES (18747031182901248, 1, '42112319900101001X', '1jdzWuniG6UMtoa3T6uNLA==', NULL, NULL, '张三', NULL, NULL, '2020-07-22 17:34:01', '2020-07-22 17:34:01', 1, NULL, 1);
INSERT INTO `t_e_student` VALUES (18747033628180480, 1, '42112319900101002X', '1jdzWuniG6UMtoa3T6uNLA==', NULL, NULL, '李四', NULL, NULL, '2020-07-22 17:34:01', '2020-07-22 17:34:01', 1, NULL, 1);
INSERT INTO `t_e_student` VALUES (18747034915831808, 1, '42112319900101003X', '1jdzWuniG6UMtoa3T6uNLA==', NULL, NULL, '王五', NULL, NULL, '2020-07-22 17:34:01', '2020-07-22 17:34:01', 1, NULL, 1);
INSERT INTO `t_e_student` VALUES (18747036253814784, 1, '42112319900101004X', '1jdzWuniG6UMtoa3T6uNLA==', NULL, NULL, '赵六', NULL, NULL, '2020-07-22 17:34:02', '2020-07-22 17:34:02', 1, NULL, 1);
INSERT INTO `t_e_student` VALUES (18753490805325824, 1, '42112319900101005X', '1jdzWuniG6UMtoa3T6uNLA==', NULL, NULL, '朱七', NULL, NULL, '2020-07-22 17:59:41', '2020-07-22 17:59:41', 1, NULL, 1);
INSERT INTO `t_e_student` VALUES (18753491614826496, 1, '42112319900101006X', '1jdzWuniG6UMtoa3T6uNLA==', NULL, NULL, '刘八', NULL, NULL, '2020-07-22 17:59:41', '2020-07-22 17:59:41', 1, NULL, 1);
COMMIT;

-- ----------------------------
-- Table structure for t_e_user_log
-- ----------------------------
DROP TABLE IF EXISTS `t_e_user_log`;
CREATE TABLE `t_e_user_log` (
  `id` bigint NOT NULL COMMENT '主键',
  `user_id` bigint NOT NULL COMMENT '用户id',
  `type` tinyint NOT NULL COMMENT '类型',
  `description` varchar(1000) DEFAULT NULL COMMENT '描述',
  `remark` mediumtext COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户轨迹';

-- ----------------------------
-- Records of t_e_user_log
-- ----------------------------
BEGIN;
INSERT INTO `t_e_user_log` VALUES (21230512672604160, 1, 5, '登录', '{\"id\":\"34858a0c6dd9407f881987d25e051ae6\",\"topic\":\"themis-topic-userLog\",\"tag\":\"user\",\"timestamp\":1596002547803,\"body\":\"LOGIN\",\"type\":\"USER_LOG\",\"objId\":\"1\",\"objName\":\"sysadmin\",\"ack\":0,\"sequence\":null,\"properties\":null}', '2020-07-29 14:02:29');
INSERT INTO `t_e_user_log` VALUES (21274945929609216, 1, 5, '登录', '{\"id\":\"6a77351f0cad4c25b02f2a6d9b413725\",\"topic\":\"themis-topic-userLog\",\"tag\":\"user\",\"timestamp\":1596013141766,\"body\":\"LOGIN\",\"type\":\"USER_LOG\",\"objId\":\"1\",\"objName\":\"sysadmin\",\"ack\":0,\"sequence\":null,\"properties\":null}', '2020-07-29 16:59:02');
INSERT INTO `t_e_user_log` VALUES (21293083840741376, 1, 5, '登录', '{\"id\":\"22a467dbb72248859bb5ea6e8ad18d98\",\"topic\":\"themis-topic-userLog\",\"tag\":\"user\",\"timestamp\":1596017466706,\"body\":\"LOGIN\",\"type\":\"USER_LOG\",\"objId\":\"1\",\"objName\":\"sysadmin\",\"ack\":0,\"sequence\":null,\"properties\":null}', '2020-07-29 18:11:07');
INSERT INTO `t_e_user_log` VALUES (21295479933370368, 1, 5, '登录', '{\"id\":\"6bcbd31c07304d8cab91b5cc843742af\",\"topic\":\"themis-topic-userLog\",\"tag\":\"user\",\"timestamp\":1596018037317,\"body\":\"LOGIN\",\"type\":\"USER_LOG\",\"objId\":\"1\",\"objName\":\"sysadmin\",\"ack\":0,\"sequence\":null,\"properties\":null}', '2020-07-29 18:20:38');
INSERT INTO `t_e_user_log` VALUES (21295532060180480, 1, 5, '登录', '{\"id\":\"356c1a8b99134e34b56019abe7c41951\",\"topic\":\"themis-topic-userLog\",\"tag\":\"user\",\"timestamp\":1596018050188,\"body\":\"LOGIN\",\"type\":\"USER_LOG\",\"objId\":\"1\",\"objName\":\"sysadmin\",\"ack\":0,\"sequence\":null,\"properties\":null}', '2020-07-29 18:20:50');
COMMIT;

-- ----------------------------
-- Table structure for t_ie_exam_invigilate_notice
-- ----------------------------
DROP TABLE IF EXISTS `t_ie_exam_invigilate_notice`;
CREATE TABLE `t_ie_exam_invigilate_notice` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `exam_activity_id` bigint NOT NULL COMMENT '场次ID',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `user_id` bigint NOT NULL COMMENT '监考人ID',
  `type` varchar(30) NOT NULL COMMENT '消息类型',
  `content` varchar(1000) NOT NULL COMMENT '消息内容',
  `send_time` datetime DEFAULT NULL COMMENT '发送时间',
  `receive_time` datetime DEFAULT NULL COMMENT '接收时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='监考通知消息记录';

-- ----------------------------
-- Table structure for t_ie_invigilate_exception_info
-- ----------------------------
DROP TABLE IF EXISTS `t_ie_invigilate_exception_info`;
CREATE TABLE `t_ie_invigilate_exception_info` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `exam_activity_id` bigint NOT NULL COMMENT '场次ID',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `exam_student_id` bigint NOT NULL COMMENT '考生id',
  `info` varchar(1000) DEFAULT NULL COMMENT '异常信息',
  `type` tinyint DEFAULT NULL COMMENT '类别',
  `remark` varchar(1000) DEFAULT NULL COMMENT '备注',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='监考异常信息';

-- ----------------------------
-- Table structure for t_ie_invigilate_warn_info
-- ----------------------------
DROP TABLE IF EXISTS `t_ie_invigilate_warn_info`;
CREATE TABLE `t_ie_invigilate_warn_info` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试ID',
  `exam_activity_id` bigint NOT NULL COMMENT '场次ID',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `exam_student_id` bigint NOT NULL COMMENT '考生id',
  `info` varchar(1000) DEFAULT NULL COMMENT '预警信息',
  `level` tinyint DEFAULT NULL COMMENT '预警级别',
  `type` tinyint DEFAULT NULL COMMENT '类别',
  `remark` varchar(1000) DEFAULT NULL COMMENT '备注',
  `approve_status` tinyint DEFAULT NULL COMMENT '审阅状态，0：未阅，1：已阅',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='监考预警信息';

-- ----------------------------
-- Table structure for t_m_rocket_message
-- ----------------------------
DROP TABLE IF EXISTS `t_m_rocket_message`;
CREATE TABLE `t_m_rocket_message` (
  `id` varchar(50) CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL COMMENT '主键',
  `topic` varchar(100) NOT NULL COMMENT '消息topic',
  `tag` varchar(100) NOT NULL COMMENT '消息tag',
  `body` mediumtext NOT NULL COMMENT '消息内容',
  `type` varchar(50) NOT NULL COMMENT '消息类型',
  `obj_id` varchar(50) NOT NULL COMMENT '关联业务id',
  `obj_name` varchar(100) NOT NULL COMMENT '关联业务名称',
  `ack` tinyint NOT NULL COMMENT '消息ack',
  `sequence` int DEFAULT NULL COMMENT '消息序号',
  `properties` varchar(1000) CHARACTER SET utf8 COLLATE utf8_general_ci DEFAULT NULL COMMENT '扩展类型',
  `create_time` datetime NOT NULL COMMENT '创建时间',
  `timestamp` bigint NOT NULL COMMENT '时间戳',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='rocketmq消息';

-- ----------------------------
-- Records of t_m_rocket_message
-- ----------------------------
BEGIN;
INSERT INTO `t_m_rocket_message` VALUES ('13b1e84bedea4a0993e44c44a359fe91', 'themis-topic-session', 'web', '{\"id\":\"1-1591624781-admin_web\",\"identity\":\"1\",\"type\":\"[SUPER_ADMIN]\",\"source\":\"admin_web\",\"platform\":\"web\",\"deviceId\":\"1234567891\",\"address\":\"0:0:0:0:0:0:0:1\",\"accessToken\":\"BfVf812accydQeIsoIRsvR4fDISm95iB\",\"lastAccessTime\":1.596002547428E12,\"expireTime\":1.596088947421E12}', 'SESSION', '1-1591624781-admin_web', 'sysadmin', 2, NULL, NULL, '2020-07-29 14:02:30', 1596002547443);
INSERT INTO `t_m_rocket_message` VALUES ('22a467dbb72248859bb5ea6e8ad18d98', 'themis-topic-userLog', 'user', 'LOGIN', 'USER_LOG', '1', 'sysadmin', 2, NULL, NULL, '2020-07-29 18:11:07', 1596017466706);
INSERT INTO `t_m_rocket_message` VALUES ('34858a0c6dd9407f881987d25e051ae6', 'themis-topic-userLog', 'user', 'LOGIN', 'USER_LOG', '1', 'sysadmin', 2, NULL, NULL, '2020-07-29 14:02:30', 1596002547803);
INSERT INTO `t_m_rocket_message` VALUES ('356c1a8b99134e34b56019abe7c41951', 'themis-topic-userLog', 'user', 'LOGIN', 'USER_LOG', '1', 'sysadmin', 2, NULL, NULL, '2020-07-29 18:20:51', 1596018050188);
INSERT INTO `t_m_rocket_message` VALUES ('406a359f03d448458c34ab7115461558', 'themis-topic-session', 'web', '{\"id\":\"1-1591624781-admin_web\",\"identity\":\"1\",\"type\":\"[SUPER_ADMIN]\",\"source\":\"admin_web\",\"platform\":\"web\",\"deviceId\":\"0.39925292599181117-1596017463776\",\"address\":\"192.168.11.224\",\"accessToken\":\"l4cY69XLsuyVxHA4QwQWJ8qavxm7oe6q\",\"lastAccessTime\":1.596017466657E12,\"expireTime\":1.596103866656E12}', 'SESSION', '1-1591624781-admin_web', 'sysadmin', 2, NULL, NULL, '2020-07-29 18:11:07', 1596017466659);
INSERT INTO `t_m_rocket_message` VALUES ('6a77351f0cad4c25b02f2a6d9b413725', 'themis-topic-userLog', 'user', 'LOGIN', 'USER_LOG', '1', 'sysadmin', 2, NULL, NULL, '2020-07-29 16:59:03', 1596013141766);
INSERT INTO `t_m_rocket_message` VALUES ('6bcbd31c07304d8cab91b5cc843742af', 'themis-topic-userLog', 'user', 'LOGIN', 'USER_LOG', '1', 'sysadmin', 2, NULL, NULL, '2020-07-29 18:20:39', 1596018037317);
INSERT INTO `t_m_rocket_message` VALUES ('76236dbaf5524eda81be384d6a0ce4d4', 'themis-topic-session', 'web', '{\"id\":\"1-1591624781-admin_web\",\"identity\":\"1\",\"type\":\"[SUPER_ADMIN]\",\"source\":\"admin_web\",\"platform\":\"web\",\"deviceId\":\"1234567891\",\"address\":\"0:0:0:0:0:0:0:1\",\"accessToken\":\"ScwzdBr0Z4wcY6MCybYtpLR6hV0qkuhv\",\"lastAccessTime\":1.596013141476E12,\"expireTime\":1.596099541464E12}', 'SESSION', '1-1591624781-admin_web', 'sysadmin', 2, NULL, NULL, '2020-07-29 16:59:03', 1596013141491);
INSERT INTO `t_m_rocket_message` VALUES ('f37edb6e1c974cdf98ce0dc16cca8fcf', 'themis-topic-session', 'web', '{\"id\":\"1-1591624781-admin_web\",\"identity\":\"1\",\"type\":\"[SUPER_ADMIN]\",\"source\":\"admin_web\",\"platform\":\"web\",\"deviceId\":\"1234567891\",\"address\":\"0:0:0:0:0:0:0:1\",\"accessToken\":\"0frdiFblod0nbwNI9SlAapEQa4JWZ3vV\",\"lastAccessTime\":1.596018036748E12,\"expireTime\":1.59610443674E12}', 'SESSION', '1-1591624781-admin_web', 'sysadmin', 2, NULL, NULL, '2020-07-29 18:20:39', 1596018036767);
INSERT INTO `t_m_rocket_message` VALUES ('f3c09eb7edc140c19c054600896ae5d5', 'themis-topic-session', 'web', '{\"id\":\"1-1591624781-admin_web\",\"identity\":\"1\",\"type\":\"[SUPER_ADMIN]\",\"source\":\"admin_web\",\"platform\":\"web\",\"deviceId\":\"1234567891\",\"address\":\"0:0:0:0:0:0:0:1\",\"accessToken\":\"3BtiFAEMW0wN3tq4mahtxaDXgfGuCtsS\",\"lastAccessTime\":1.596018050177E12,\"expireTime\":1.596104450177E12}', 'SESSION', '1-1591624781-admin_web', 'sysadmin', 2, NULL, NULL, '2020-07-29 18:20:51', 1596018050178);
COMMIT;

-- ----------------------------
-- Table structure for t_oe_exam_answer
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_exam_answer`;
CREATE TABLE `t_oe_exam_answer` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_record_id` bigint NOT NULL COMMENT '作答记录ID',
  `main_number` int DEFAULT NULL COMMENT '大题号',
  `sub_number` int DEFAULT NULL COMMENT '小题号',
  `sub_index` int DEFAULT NULL COMMENT '子题序号',
  `answer` mediumtext COMMENT '作答内容',
  `version` bigint DEFAULT NULL COMMENT '版本时间戳',
  `history` mediumtext COMMENT '作答轨迹',
  `duration_seconds` int DEFAULT NULL COMMENT '作答时长',
  `score` double DEFAULT NULL COMMENT '分数',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='作答结果';

-- ----------------------------
-- Table structure for t_oe_exam_break_history
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_exam_break_history`;
CREATE TABLE `t_oe_exam_break_history` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `break_time` datetime DEFAULT NULL COMMENT '断点发生时间',
  `break_reason` varchar(30) DEFAULT NULL COMMENT '断点判定原因',
  `resume_reason` varchar(300) DEFAULT NULL COMMENT '提交异常原因',
  `prepare_time` datetime DEFAULT NULL COMMENT '恢复候考时间',
  `start_time` datetime DEFAULT NULL COMMENT '恢复开考时间',
  `entry_authentication_result` varchar(30) DEFAULT NULL COMMENT '恢复开考身份验证结果',
  `entry_authentication_id` bigint DEFAULT NULL COMMENT '恢复开考身份验证记录ID',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试断点记录';

-- ----------------------------
-- Records of t_oe_exam_break_history
-- ----------------------------
BEGIN;
INSERT INTO `t_oe_exam_break_history` VALUES (19920220273508352, 1, '2020-07-25 23:15:51', '0', 'NET_TIME_OUT', NULL, NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_oe_exam_monitor_exception_history
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_exam_monitor_exception_history`;
CREATE TABLE `t_oe_exam_monitor_exception_history` (
  `Id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试id',
  `exam_activity_id` bigint NOT NULL COMMENT '考试场次id',
  `exam_student_id` bigint NOT NULL COMMENT '考生id',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录id',
  `source` varchar(300) NOT NULL COMMENT '开启监控的视频源',
  `type` varchar(30) DEFAULT NULL COMMENT '异常类型',
  `time` datetime DEFAULT NULL COMMENT '异常时间'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='监控异常记录';

-- ----------------------------
-- Table structure for t_oe_exam_record
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_exam_record`;
CREATE TABLE `t_oe_exam_record` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_id` bigint NOT NULL COMMENT '考试批次ID',
  `exam_activity_id` bigint NOT NULL COMMENT '考试场次ID',
  `exam_student_id` bigint NOT NULL COMMENT '考生ID',
  `paper_id` bigint NOT NULL COMMENT '实际使用的试卷ID',
  `answer_path` varchar(100) DEFAULT NULL COMMENT '全部作答保存地址',
  `status` varchar(30) DEFAULT NULL COMMENT '考试状态，first_prepare：首次候考，answering：正在答题，break_off：已中断，resume_prepare：断点恢复候考，finished：已结束考试，persisted：数据已保存',
  `first_prepare_time` datetime DEFAULT NULL COMMENT '首次进入候考时间',
  `first_start_time` datetime DEFAULT NULL COMMENT '首次开考时间',
  `last_break_time` datetime DEFAULT NULL COMMENT '最近断点时间',
  `last_prepare_time` datetime DEFAULT NULL COMMENT '最近恢复候考时间',
  `last_start_time` datetime DEFAULT NULL COMMENT '最近恢复开考时间',
  `left_break_resume_count` int DEFAULT NULL COMMENT '剩余断点续考次数',
  `client_current_ip` varchar(30) DEFAULT NULL COMMENT '客户端当前IP地址',
  `client_websocket_status` tinyint DEFAULT NULL COMMENT '客户端websocket状态',
  `client_websocket_id` varchar(50) DEFAULT NULL COMMENT '客户端websocket连接标识',
  `client_last_sync_time` datetime DEFAULT NULL COMMENT '客户端最近同步时间',
  `wxapp_websocket_status` tinyint DEFAULT NULL COMMENT '微信小程序websocket状态',
  `wxapp_websocket_id` varchar(50) DEFAULT NULL COMMENT '微信小程序websocket连接标识',
  `wxapp_last_sync_time` datetime DEFAULT NULL COMMENT '微信小程序最近同步时间',
  `client_video_push_status` tinyint DEFAULT NULL COMMENT '客户端推流状态',
  `client_video_push_key` varchar(100) DEFAULT NULL COMMENT '客户端推流地址',
  `wxapp_video_push_status` tinyint DEFAULT NULL COMMENT '微信小程序推流状态',
  `wxapp_video_push_key` varchar(100) DEFAULT NULL COMMENT '微信小程序推流地址',
  `answer_progress` double DEFAULT NULL COMMENT '答题进度',
  `duration_seconds` int DEFAULT NULL COMMENT '累计考试用时',
  `finish_time` datetime DEFAULT NULL COMMENT '交卷时间',
  `finish_type` varchar(30) DEFAULT NULL COMMENT '交卷原因，hand：手动交卷，auto：系统交卷，breach：违纪交卷',
  `warning_count` int DEFAULT NULL COMMENT '预警次数',
  `review_result` varchar(30) DEFAULT NULL COMMENT '审核结果，pass：通过，no_pass：不通过',
  `objective_score` double DEFAULT NULL COMMENT '客观题分数',
  `paper_download` tinyint DEFAULT NULL COMMENT '试题下载，0：是，1：不是',
  `breach_status` tinyint DEFAULT NULL COMMENT '是否违纪，0：是，1：不是',
  `paper_struct` mediumtext COMMENT '个人试卷结构',
  `paper_struct_upload` tinyint DEFAULT NULL COMMENT '个人试卷结构是否已上传，0：未上传，1：已上传',
  `serial_number` int DEFAULT NULL COMMENT '第几次考试',
  `last_break_id` bigint DEFAULT NULL COMMENT '最近断点记录ID',
  `entry_authentication_result` varchar(30) DEFAULT NULL COMMENT '开考身份验证结果',
  `entry_authentication_id` bigint DEFAULT NULL COMMENT '开考身份验证记录ID',
  `in_process_face_verify_status` tinyint DEFAULT NULL COMMENT '当前过程人脸检测状态',
  `in_process_liveness_verify_status` tinyint DEFAULT NULL COMMENT '当前过程活体验证状态',
  `in_process_liveness_verify_count` int DEFAULT NULL COMMENT '已完成过程活体验证次数',
  `monitor_key` varchar(50) DEFAULT NULL COMMENT '监控标识（默认直接用recordId）',
  `monitor_status_source` varchar(30) DEFAULT NULL COMMENT '监控状态，stop：停止，start：正常',
  `monitor_live_url` varchar(100) DEFAULT NULL COMMENT '监控观看地址',
  `score_status` varchar(30) DEFAULT NULL COMMENT '算分状态，never：从未算分，calculating：正在算分，finish：算分完成',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='考试记录';

-- ----------------------------
-- Records of t_oe_exam_record
-- ----------------------------
BEGIN;
INSERT INTO `t_oe_exam_record` VALUES (1, 18738036992901120, 18740006977798144, 1, 1, 'http://111', 'finished', '2020-07-22 17:34:02', '2020-07-22 17:34:02', '2020-07-25 23:15:51', NULL, NULL, 0, '', 1, '1234567891', '2020-07-25 23:10:11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, 100, 100, NULL, NULL, NULL, NULL, NULL, 0, NULL, NULL, NULL, NULL, 19920220273508352, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
COMMIT;

-- ----------------------------
-- Table structure for t_oe_exam_simulate_history
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_exam_simulate_history`;
CREATE TABLE `t_oe_exam_simulate_history` (
  `id` bigint NOT NULL COMMENT '主键',
  `student_id` bigint NOT NULL COMMENT '个人ID',
  `paper_id` bigint NOT NULL COMMENT '模拟试卷ID',
  `finish_time` datetime DEFAULT NULL COMMENT '最近完成时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模拟考试记录  ';

-- ----------------------------
-- Table structure for t_oe_face_verify_history
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_face_verify_history`;
CREATE TABLE `t_oe_face_verify_history` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `similarity` double DEFAULT NULL COMMENT '相似度分数',
  `realness` varchar(30) DEFAULT NULL COMMENT '真实性验证结果',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `type` varchar(30) DEFAULT NULL COMMENT 'first：初次开考，recover：恢复开考，process：过程中',
  `photo_url` varchar(100) DEFAULT NULL COMMENT '图片保存路径',
  `pass` tinyint DEFAULT NULL COMMENT '本地验证是否通过，0：不通过，1：通过',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='人脸验证记录';

-- ----------------------------
-- Table structure for t_oe_liveness_verify_history
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_liveness_verify_history`;
CREATE TABLE `t_oe_liveness_verify_history` (
  `id` bigint NOT NULL COMMENT '主键',
  `exam_record_id` bigint NOT NULL COMMENT '考试记录ID',
  `type` varchar(30) NOT NULL COMMENT 'first：初次开考，recover：恢复开考，process：过程中',
  `actions` varchar(2000) DEFAULT NULL COMMENT '随机动作与结果',
  `retry` int DEFAULT NULL COMMENT '重试次数',
  `pass` tinyint DEFAULT NULL COMMENT '本地验证是否通过，0：不通过，1：通过',
  `start_time` datetime DEFAULT NULL COMMENT '开始时间',
  `finish_time` datetime DEFAULT NULL COMMENT '完成时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='活体验证记录';

-- ----------------------------
-- Table structure for t_oe_simulate_paper
-- ----------------------------
DROP TABLE IF EXISTS `t_oe_simulate_paper`;
CREATE TABLE `t_oe_simulate_paper` (
  `id` bigint NOT NULL COMMENT '主键',
  `org_id` bigint NOT NULL COMMENT '机构ID',
  `name` varchar(50) NOT NULL COMMENT '试卷名称',
  `total_score` double DEFAULT NULL COMMENT '总分',
  `paper_path` varchar(100) DEFAULT NULL COMMENT '题干路径',
  `create_time` datetime DEFAULT NULL COMMENT '创建时间',
  `update_time` datetime DEFAULT NULL COMMENT '更新时间',
  `create_id` bigint DEFAULT NULL COMMENT '创建人id',
  `update_id` bigint DEFAULT NULL COMMENT '更新人id',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='模拟试卷';

SET FOREIGN_KEY_CHECKS = 1;
